> For the complete documentation index, see [llms.txt](/llms.txt).

# Update user application

**PATCH** `https://www.iwoca.co.uk/api/lending/v2.2/customers/{customer_id}/applications/latest/`

## Path parameters
- `customer_id` (string, required) — The unique customer_id used to represent a customer.

## Body
```json
{
  "data": {
    "introducer": {
      "entity_to_contact": "customer"
    }
  }
}
```

### Body fields
- `data` (any, required)
- `data.introducer` (object)
- `data.introducer.entity_to_contact` (string)
- `data.introducer.introducer_id` (string) — The unique id of the introducer this application should be assigned to. This id is generated by iwoca when the introducer signs up for an iwoca portal account at https://www.iwoca.co.uk/introducer/ and can be retrieved from the /introducers/ endpoint.
- `data.requests` (array)
- `data.requests[].amount` (number, required)
- `data.requests[].detailed_purpose` (string) — detailed_purpose is usually submitted if a purpose of other has been set.
- `data.requests[].duration` (object)
- `data.requests[].duration.amount` (number, required)
- `data.requests[].duration.unit` (string, required)
- `data.requests[].purpose` (string) — A purpose may not be submitted if the customer is simply looking to get approved for the future, rather than a specific need.
- `data.requests[].urgency` (string) — Describes whether the customer needs the funding immediately (asap), over the next few weeks (weeks) or is simply looking to get approved for future use (future).

## Responses
### 202 — Success

### 400 — Bad Request
```json
{
  "errors": [
    {
      "code": "string",
      "detail": "string",
      "meta": {},
      "source": {
        "parameter": "string",
        "pointer": "string"
      }
    }
  ]
}
```

### 401 — Unauthorized
```json
{
  "errors": [
    {
      "code": "AuthenticationFailed",
      "detail": "string",
      "meta": {}
    }
  ]
}
```

### 403 — Permission Denied
```json
{
  "errors": [
    {
      "code": "PermissionDenied",
      "detail": "string",
      "meta": {}
    }
  ]
}
```

### 404 — Not Found
```json
{
  "errors": [
    {
      "code": "NotFound",
      "detail": "string",
      "meta": {}
    }
  ]
}
```

### 406 — Not Acceptable
```json
{
  "errors": [
    {
      "code": "string",
      "detail": "string",
      "meta": {}
    }
  ]
}
```

### 500 — Unexpected Error
```json
{
  "errors": [
    {
      "code": "string",
      "detail": "string",
      "meta": {}
    }
  ]
}
```

## Example (curl)
```bash
curl 'https://www.iwoca.co.uk/api/lending/v2.2/customers/<customer_id>/applications/latest/' \
  --request PATCH \
  --header 'Authorization: Bearer <api-key>' \
  --header 'Content-Type: application/json' \
  --data '{
  "data": {
    "introducer": {
      "entity_to_contact": "customer"
    }
  }
}'
```